Subject: Re: linux-next: build failure after merge of the nfs-anna tree

From: Anna Schumaker <[email-masked]>
Date: Mon, 17 Dec 2018 10:34:47 -0500

On Mon, 2018-12-17 at 12:18 +0100, Rasmus Villemoes wrote:
> On 17/12/2018 00.16, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the nfs-anna tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > /home/sfr/next/next/fs/nfs/nfsroot.c: In function 'root_nfs_data':
> > /home/sfr/next/next/fs/nfs/nfsroot.c:264:5: error: implicit declaration of
> > function 'fmtcheck'; did you mean 'dst_check'? [-Werror=implicit-function-
> > declaration]
> >      fmtcheck(tmp, "%s", 0), utsname()->nodename);
> >      ^~~~~~~~
> >      dst_check
> > 
> > Caused by commit
> > 
> >   66ab6f062d96 ("nfs: use fmtcheck() in root_nfs_data")
> 
> I didn't know anybody had picked that one up. It's completely safe to
> just ignore that commit until the fmtcheck() utility is actually in.
> 
> Anna, can I take the fact that this was picked up as a sort-of implicit
> ack, that I can use if and when I ever get around to resending the
> fmtcheck() series? And for simplicitly, would you mind if the nfs patch
> would just be routed along with the patches introducing fmtcheck()?

Sure that sounds good.  I'll remove it from my tree for now.

> Rasmus